GET /tasks

asana.com

Summary: Get multiple tasks
Operation ID: getTasks
Auth: oauth2
Description

Returns the compact task records for some filtered set of tasks. Use one or more of the parameters provided to filter the tasks returned. You must specify a `project` or `tag` if you do not specify `assignee` and `workspace`. For more complex task retrieval, use [workspaces/{workspace_gid}/tasks/search](/docs/search-tasks-in-a-workspace).

Parameters (10)

assignee (string, query, optional)

The assignee to filter tasks on. If searching for unassigned tasks, assignee.any = null can be specified. *Note: If you specify `assignee`, you must also specify the `workspace` to filter on.*

completed_since (string, query, optional)

Only return tasks that are either incomplete or that have been completed since this time.

limit (integer, query, optional)

Results per page. The number of objects to return per page. The value must be between 1 and 100.

modified_since (string, query, optional)

Only return tasks that have been modified since the given time. *Note: A task is considered “modified” if any of its properties change, or associations between it and other objects are modified (e.g. a task being added to a project). A task is not considered modified just because another object it is associated with (e.g. a subtask) is modified. Actions that count as modifying the task include assigning, renaming, completing, and adding stories.*

offset (string, query, optional)

Offset token. An offset to the next page returned by the API. A pagination request will return an offset token, which can be used as an input parameter to the next request. If an offset is not passed in, the API will return the first page of results. 'Note: You can only pass in an offset that was returned to you via a previously paginated request.'

opt_fields (array, query, optional)

Defines fields to return. Some requests return *compact* representations of objects in order to conserve resources and complete the request more efficiently. Other times requests return more information than you may need. This option allows you to list the exact set of fields that the API should be sure to return for the objects. The field names should be provided as paths, described below. The id of included objects will always be returned, regardless of the field options.

opt_pretty (boolean, query, optional)

Provides “pretty” output. Provides the response in a “pretty” format. In the case of JSON this means doing proper line breaking and indentation to make it readable. This will take extra time and increase the response size so it is advisable only to use this during debugging.

project (string, query, optional)

The project to filter tasks on.

section (string, query, optional)

The section to filter tasks on. *Note: Currently, this is only supported in board views.*

workspace (string, query, optional)

The workspace to filter tasks on. *Note: If you specify `workspace`, you must also specify the `assignee` to filter on.*

No probe data for this endpoint yet.